/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *  Hildon port: Rob Bradford <rob@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#include <config.h>
#include <string.h>

#include <glib/gi18n.h>
#include <gtk/gtk.h>

#include <hildon/hildon-program.h>

#include <libjana/jana.h>
#include <libjana-ecal/jana-ecal.h>
#include <libjana-gtk/jana-gtk.h>

typedef struct
{
  HildonProgram *program;
  GtkWidget *main_window;
} DatesApp;

int
main (int argc, char **argv)
{
  DatesApp *app = NULL;

  /* Do basic initialisation */
  app = g_new0 (DatesApp, 1);
  app->program = hildon_program_get_instance ();
  app->main_window = hildon_window_new ();
  hildon_program_add_window (app->program, HILDON_WINDOW (app->main_window));
  
  return 0;
}
